Package twisted :: Package web :: Package woven :: Module form :: Class ThankYou

[show private | hide private]
[frames | no frames]

## Class ThankYou

    View --+
           |
          ThankYou

Method Summary
| ``__init__`(self, m, templateFile, templateDirectory, controller, doneCallback, modelStack, viewStack, controllerStack)` A view must be told what its model is, and may be told what its controller is, but can also look up its controller if none specified. (inherited from `View`)
| `__setitem__(self, key, value)` (inherited from `View`)
| ``dispatchResult`(self, request, node, result)` Check a given result from handling a node and look up a NodeMutator adapter which will convert the result into a node and insert it into the DOM tree. (inherited from `View`)
| ``dispatchResultCallback`(self, result, request, node)` Deal with a callback from a deferred, dispatching the result and recursing children. (inherited from `View`)
| ``generate`(self, request, node)` Allow a view to be used like a widget. (inherited from `View`)
| `getChild(self, path, request)` (inherited from `View`)
| `getChildWithDefault(self, path, request)` (inherited from `View`)
| ``getNodeController`(self, request, node, submodel, model)` Get a controller object to handle this node. (inherited from `View`)
| ``getNodeModel`(self, request, node, submodel)` Get the model object associated with this node. (inherited from `View`)
| `getNodeView(self, request, node, submodel, model)` (inherited from `View`)
| ``getSubview`(self, request, node, model, viewName)` Get a sub-view from me. (inherited from `View`)
| ``getTemplate`(self, request)` Override this if you want to have your subclass look up its template using a different method. (inherited from `View`)
| `handleControllerResults(self, controllerResult, request, node, controller, view, success)` (inherited from `View`)
| ``handleDocument`(self, request, document)` Handle the root node, and send the page if there are no outstanding callbacks when it returns. (inherited from `View`)
| `handleNewNode(self, request, returnNode)` (inherited from `View`)
| `handleNode(self, request, node)` (inherited from `View`)
| `handleOutstanding(self, request)` (inherited from `View`)
| `importViewLibrary(self, namespace)` (inherited from `View`)
| ``lookupTemplate`(self, request)` Use acquisition to look up the template named by self.templateFile, located anywhere above this object in the heirarchy, and use it as the template. (inherited from `View`)
| ``modelChanged`(self, changed)` Dispatch changed messages to any update_* methods which may have been defined, then pass the update notification on to the controller. (inherited from `View`)
| ``recurseChildren`(self, request, node)` If this node has children, handle them. (inherited from `View`)
| `render(self, request, doneCallback)` (inherited from `View`)
| `renderFailure(self, failure, request)` (inherited from `View`)
| ``sendPage`(self, request)` Check to see if handlers recorded any errors before sending the page (inherited from `View`)
| `setController(self, controller)` (inherited from `View`)
| `setNode(self, node)` (inherited from `View`)
| `setSubmodel(self, name)` (inherited from `View`)
| `setSubviewFactory(self, name, factory, setup, *args, **kwargs)` (inherited from `View`)
| `setUp(self, request, d)` (inherited from `View`)
| `setupAllStacks(self)` (inherited from `View`)
| `setupViewStack(self)` (inherited from `View`)
| `unlinkViews(self)` (inherited from `View`)

Class Variable Summary
`string` | `template`

Class Variable Details

### template

  Type:
    `string`
  Value:

        '''
            <html>
            <head>
            <title> Thank You </title>
            </head>
            <body>
            <h1>Thank You for Using Woven</h1>
            <div model=".">
        ...

Generated by Epydoc 1.1 on Sat Feb 15 21:18:18 2003 | http://epydoc.sf.net